<?
$kmb = qw("SELECT * FROM kmb  WHERE strana='$re1[strana]'");
while($army = mysql_fetch_array($kmb)){
$time=time();$tim=$time-$army[time];
if($tim>0){
switch($army[voin]){
case 1:
$a1='peh';$a2="Пехота обучена";
break;
case 2:
$a1='kon';$a2="Кавалерия обучена";
break;
case 3:
$a1='str';$a2='Стрелки обучены';
break;
case 4:
$a1='puh';$a2='Пушки изготовлены';
break;
case 5:
$a1='tan';$a2='Танки изготовлены';
break;
case 6:
$a1='sam';$a2='Самолёты изготовлены';
break;
}
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','$a2 ($army[rab])')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$re1[strana]','@','$time','0','0','$a2')");
qw("UPDATE gos2 SET bot=bot+'$army[bot]',$a1=$a1+'$army[rab]' WHERE strana='$re1[strana]'");
qw("DELETE FROM kmb WHERE id='$army[id]'");
header("Location:game.php?der=$key");
}
}
?>